<?php
if(!defined("BASE_DIR")) exit;
if(!perm('glossar'))
{
	no_perm();
} else {
	
	include_once(BASE_DIR . 'admin/class/class.glossar.php');
	$glossar = new Glossar;
		
	$_REQUEST['sub'] = (isset($_REQUEST['sub']) && !empty($_REQUEST['sub'])) ? $_REQUEST['sub'] : 'overview';
	switch($_REQUEST['sub'])
	{
		case 'overview':
			$glossar->showGlossar();
		break;
		
		case 'edit':
			$glossar->editGlossar($_REQUEST['id']);
		break;
		
		case 'add':
			$glossar->addGlossar();
		break;
	}
	
}
?>